GDB (xrefs)

Functions
py-newobjfileevent.c File Reference
`#include "defs.h"`
`#include "py-event.h"`

Go to the source code of this file.

## Functions
static PyObject * | create_new_objfile_event_object (struct objfile *objfile)
int | emit_new_objfile_event (struct objfile *objfile)
static PyObject * | create_clear_objfiles_event_object (void)
int | emit_clear_objfiles_event (void)

## Function Documentation

## ◆ create_clear_objfiles_event_object()

static PyObject* create_clear_objfiles_event_object | ( | void |  | ) |
| static

Definition at line 64 of file py-newobjfileevent.c.

References create_event_object(), current_program_space, evpy_add_attribute(), gdb::ref_ptr< T, Policy >::get(), pspace_to_pspace_object(), and gdb::ref_ptr< T, Policy >::release().

Referenced by emit_clear_objfiles_event().

## ◆ create_new_objfile_event_object()

static PyObject* create_new_objfile_event_object | ( | struct objfile * | objfile | ) |
| static

Definition at line 24 of file py-newobjfileevent.c.

References create_event_object(), evpy_add_attribute(), gdb::ref_ptr< T, Policy >::get(), objfile_to_objfile_object(), and gdb::ref_ptr< T, Policy >::release().

Referenced by emit_new_objfile_event().

## ◆ emit_clear_objfiles_event()

int emit_clear_objfiles_event | ( | void |  | ) |

Definition at line 90 of file py-newobjfileevent.c.

References create_clear_objfiles_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_new_objfile().

## ◆ emit_new_objfile_event()

int emit_new_objfile_event | ( | struct objfile * | objfile | ) |

Definition at line 49 of file py-newobjfileevent.c.

References create_new_objfile_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_new_objfile().